
Core - Bug # 38132

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Resolved Priority: Must have
Author: Helmut Hummel Category:
Created: 2012-06-17 Assigned To: Helmut Hummel
Updated: 2012-06-20 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Move all init.php code in global scope into methods
Description

There is some code left in init.php that is not yet encapsuled in methods.

Move everything into methods in the bootstrap class.

Associated revisions
Revision 0437c781 - 2012-06-20 13:45 - Helmut Hummel

[TASK] Move all init.php code in global scope into methods

There is some code left in init.php that is not yet encapsuled in methods.
Move everything into methods in the bootstrap class.

Remaining TYPO3_DB->connectToDatase() calls in other classes will be
handled in a different change.

Change-Id: If69b8cc49cb9ff04d18612d733414e36ee9a48fb
Resolves: #38132
Releases: 6.0
Reviewed-on: http://review.typo3.org/12152
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Reviewed-by: Oliver Hader
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 4948d823 - 2012-06-23 23:42 - Helmut Hummel

[TASK] Move all init.php code in global scope into methods

There is some code left in init.php that is not yet encapsuled in methods.
Move everything into methods in the bootstrap class.

Remaining TYPO3_DB->connectToDatase() calls in other classes will be
handled in a different change.
Change-Id: If69b8cc49cb9ff04d18612d733414e36ee9a48fb
Resolves: #38132
Releases: 6.0
Reviewed-on: http://review.typo3.org/12152
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Reviewed-by: Oliver Hader
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-06-17 12:31 - Helmut Hummel
- Subject changed from Move all init.php code in global scope in methods to Move all init.php code in global scope into methods

#2 - 2012-06-17 17:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12152

#3 - 2012-06-19 19:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12152

#4 - 2012-06-20 13:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12152

#5 - 2012-06-20 14:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0437c781d7fac262cc6f2eb7cdf6bd245afa7809.
